Subject: redwoodcityfreecycle OFFER: Box of ~40 new ceramic tiles (6th Ave, RWC)

From: "bkolin" <[email-masked]>
Date: Wed, 01 Aug 2007 21:17:08 -0000

These are textured, glazed, multi-beige colored, left over from a
bathroom counter.  You can pick them up in the driveway any time.